Bug 197489 - Review Request: ming - SWF output library
Review Request: ming - SWF output library
Status: CLOSED DUPLICATE of bug 232790
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-07-02 19:02 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-17 17:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-07-02 19:02:43 EDT
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/ming-0.4.0-0.2006_04_20.src.rpm
Ming is a c library for generating SWF ("Flash") format movies.
It comprises a lot of Flash functionality, including features of Flash 6.
Specifically, it lets you create: shapes (including morphs), text, sprites
(aka movie clips), buttons, and actions in flash movies, plus more.
Comment 1 Jochen Schmitt 2006-07-03 14:43:40 EDT
- Source ming-0.4.0-dev-2006_04_20.tar.bz2 is different from upstream.
- Perl should not be included.
- Duplicate BuildRequires: perl (by perl), zlib-devel (by libpng-devel)

Comment 2 Patrice Dumas 2006-07-03 15:21:36 EDT
(In reply to comment #1)
> Bad:
> - Source ming-0.4.0-dev-2006_04_20.tar.bz2 is different from upstream.

I hope that this time this is right.

> - Perl should not be included.

What do you mean by that?

> - Duplicate BuildRequires: perl (by perl), zlib-devel (by libpng-devel)

?? What does mean Duplicate BuildRequires: perl (by perl)?
I know that perl is an optionnal buildrequires since it is in the
buildroot, however as there is a perl module having perl as buildrequires
makes sense.

zlib-devel is searched for in configure.in, so even though it is a dep
of libpng-devel I think that it deserves to be a direct dep of ming.
Comment 3 Patrice Dumas 2006-07-03 15:37:22 EDT
Here is an enhanced version with more interfaces and cleanings:


- Split out makeswf since it is covered by a different licence (GPL)
- fix the release tag
- add tcl bindings
- add java bindings, even though I didn't manage to use them

I have downloaded the tar.bz2 with spectool -g from the spec file
so I hope it is the right tarball now.

Also the release number doesn't increase, because I made a mistake
in the previous release tag
Comment 4 Jochen Schmitt 2006-07-04 13:34:28 EDT
- You should not include perl in the BuildRequires.
- Don't add zlib-devel in the BuildRequires, becouse is deps on libpng-devel.

Comment 5 Patrice Dumas 2006-07-04 16:02:04 EDT
(In reply to comment #4)
> Bad:
> - You should not include perl in the BuildRequires.
> - Don't add zlib-devel in the BuildRequires, becouse is deps on libpng-devel.

Ok, if you really want to. Fixed in:
Comment 6 Patrice Dumas 2006-07-07 07:36:01 EDT
This ming development snapshot is broken, I'll repost a new srpm once
there is a new snapshot with the fix (allready in cvs).
Comment 7 Patrice Dumas 2006-07-07 11:45:15 EDT
moreover the java bindings are not free software...
Comment 8 Patrice Dumas 2007-03-17 17:18:56 EDT
Cristian Balint opened a review request, I'll close that one
as a duplicate, since I have already enough packages to 
maintain. I'll let you review Cristian request if you like,
but I'll do it if you don't want to review ming anymore.

*** This bug has been marked as a duplicate of 232790 ***
Comment 9 Balint Cristian 2007-03-17 17:28:49 EDT
First a ton of sorry for duplicate ...

Thx Patrice !

Review nit:

 0.4.0-0.2.2006_04_20 basicaly _sucks_ a lot, i decided to use 
cvs snapshots instead wich are more fine and work with php v5, 
olso java is done with gcj.

  So my effort is not wasted, indeed, even you wanted a cvs snapshot
at comment #6 :-)

   Well, i don't care who will maintain,(i can do it nop) i can let you 
Patrice if want the flash software, i just need ming becouse i want include 
mapserver + grass (big GIS technologie stuff) and ming is subdependant on 
Comment 10 Balint Cristian 2007-03-17 17:35:44 EDT
- add tcl-devel to buildreq.

Spec URL: http://openrisc.rdsor.ro/ming.spec
SRPM URL: http://openrisc.rdsor.ro/ming-0.4.0-0.2.20070316cvs.src.rpm
Comment 11 Patrice Dumas 2007-03-17 17:39:55 EDT
Cristian, please continue the submission on the other ticket.

As a side note I am interested in ming because it is needed for
gnash tests I maintain and also follow. It is also a dep for
a drawing library, I don't remember exactly which one.
Comment 12 Balint Cristian 2007-03-17 18:03:48 EDT
   Well, we can maintain this package, i will put myself to Cc or you put me 

   Ok i will continue.

Note You need to log in before you can comment on or make changes to this bug.